#region Using declarations
using System;
using System.IO;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Data;
using NinjaTrader.Indicator;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Strategy;
#endregion

// This namespace holds all strategies and is required. Do not change it.
namespace NinjaTrader.Strategy
{
    /// <summary>
    /// Enter the description of your strategy here
    /// </summary>
    [Description("Enter the description of your strategy here")]
    public class TEST02 : Strategy
    {
        #region Variables
        // Wizard generated variables
        // User defined variables (add any user defined variables below)
		private string outFile;
        #endregion

        /// <summary>
        /// This method is used to configure the strategy and is called once before any strategy method is called.
        /// </summary>
        protected override void Initialize()
        {
            CalculateOnBarClose = true;
			System.Threading.Thread.CurrentThread.CurrentCulture = new System.Globalization.CultureInfo("en-US");
			
			DateTime today = DateTime.Now;
			int currentYear = today.Year;
			int currentMonth = today.Month;
			int currentDay = today.Day;
			
			outFile = "F:\\Program Files (x86)\\TSLab 1.2\\Текстовики\\SP500_Futures\\SP500_Futures_" + currentYear.ToString() + ".";
			if( currentMonth < 10 )
				outFile = outFile + "0" + currentMonth.ToString() + ".";
			else
				outFile = outFile + currentMonth.ToString() + ".";
			
			if( currentDay < 10 )
				outFile = outFile + "0" + currentDay.ToString() + "_Bars.txt";
			else
				outFile = outFile + currentDay.ToString() + "_Bars.txt";
			
			StreamWriter sw = File.CreateText( outFile );
			string firstStr = "<DATE>,<TIME>,<OPEN>,<HIGH>,<LOW>,<CLOSE>,<VOL>,<INTEREST>";
			sw.WriteLine( firstStr );
			sw.Flush();
			sw.Close();
        }

        /// <summary>
        /// Called on each bar update event (incoming tick)
        /// </summary>
        protected override void OnBarUpdate()
        {
			// Работаем только в режиме реального времени:
			if(Historical) return;
			
			string str;
			StreamWriter sw = new StreamWriter( outFile, true );
			DateTime now = DateTime.Now;
			
			double open = Open[0];
			double close = Close[0];
			double high = High[0];
			double low = Low[0];
			
			str = now.Year.ToString();
			if( now.Month < 10 )
				str = str + "0" + now.Month.ToString();
			else
				str = str + now.Month.ToString();
			
			if( now.Day < 10 )
				str = str + "0" + now.Day.ToString() + ",";
			else
				str = str + now.Day.ToString() + ",";
			
			if( now.Hour < 10 )
				str = str + "0" + now.Hour.ToString();
			else
				str = str + now.Hour.ToString();
			
			if( now.Minute < 10 )
				str = str + "0" + now.Minute.ToString();
			else
				str = str + now.Minute.ToString();
			
			if( now.Second < 10 )
				str = str + "0" + now.Second.ToString() + ",";
			else
				str = str + now.Second.ToString() + ",";
			
			str = str + open.ToString() + "," + high.ToString() + "," + low.ToString() + "," + close.ToString() + ",10,10";
			//Print( str );
			
			sw.Flush();
			sw.WriteLine( str );
			
			sw.Close();
        }

        #region Properties
        #endregion
    }
}
